com.io7m.r2.filters

## Enum R2FilterFXAAQuality

- java.lang.Object
- - java.lang.Enum<R2FilterFXAAQuality>
  - - com.io7m.r2.filters.R2FilterFXAAQuality

- All Implemented Interfaces:
    Serializable, Comparable<R2FilterFXAAQuality>

      public enum R2FilterFXAAQuality
      extends Enum<R2FilterFXAAQuality>

  A specification of which FXAA preset to use, based on the desired quality level.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `R2_FXAA_QUALITY_10` Medium dithering, lowest quality, fastest possible processing.
    `R2_FXAA_QUALITY_15` Medium dithering, better quality than `R2_FXAA_QUALITY_10`, fast processing.
    `R2_FXAA_QUALITY_20` Low dithering, fastest/lowest quality.
    `R2_FXAA_QUALITY_25` Low dithering, better quality than `R2_FXAA_QUALITY_20`.
    `R2_FXAA_QUALITY_29` Low dithering, better quality than `R2_FXAA_QUALITY_25`.
    `R2_FXAA_QUALITY_39` No dithering, expensive processing.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getPreset()`
    `static R2FilterFXAAQuality` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static R2FilterFXAAQuality[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### R2_FXAA_QUALITY_10

          public static final R2FilterFXAAQuality R2_FXAA_QUALITY_10

      Medium dithering, lowest quality, fastest possible processing.

    - #### R2_FXAA_QUALITY_15

          public static final R2FilterFXAAQuality R2_FXAA_QUALITY_15

      Medium dithering, better quality than `R2_FXAA_QUALITY_10`, fast processing.

    - #### R2_FXAA_QUALITY_20

          public static final R2FilterFXAAQuality R2_FXAA_QUALITY_20

      Low dithering, fastest/lowest quality.

    - #### R2_FXAA_QUALITY_25

          public static final R2FilterFXAAQuality R2_FXAA_QUALITY_25

      Low dithering, better quality than `R2_FXAA_QUALITY_20`.

    - #### R2_FXAA_QUALITY_29

          public static final R2FilterFXAAQuality R2_FXAA_QUALITY_29

      Low dithering, better quality than `R2_FXAA_QUALITY_25`.

    - #### R2_FXAA_QUALITY_39

          public static final R2FilterFXAAQuality R2_FXAA_QUALITY_39

      No dithering, expensive processing.

  - ### Method Detail

    - #### values

          public static R2FilterFXAAQuality[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (R2FilterFXAAQuality c : R2FilterFXAAQuality.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static R2FilterFXAAQuality valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getPreset

          public int getPreset()

      Returns:
        The FXAA preset number

Copyright © 2017 <code@io7m.com> http://io7m.com